%{?nodejs_find_provides_and_requires}

%global packagename ansi-red
%global enable_tests 1

Name:		nodejs-ansi-red
Version:	0.1.1
Release:	1%{?dist}
Summary:	The color red, in ansi

License:	MIT
URL:		https://github.com/jonschlinkert/ansi-red
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/jonschlinkert/%{packagename}/master/test.js


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(ansi-wrap)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
The color red, in ansi.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Apr 14 2017 Jared Smith <jsmith@fedoraproject.org> - 0.1.1-1
- Initial packaging
